> For the complete documentation index, see [llms.txt](https://docs.novacura.com/flow-connect/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novacura.com/flow-connect/reference/reference/portal/design-items/portlets/accumulation-chart.md).

# Accumulation chart

Accumulation Charts are used to visualize data distribution through chart types such as pie, doughnut, and pyramid charts. These charts illustrate proportions and relationships within datasets, featuring elements like data labels and legends.

## General

General data is required for all portlets, see [General](/flow-connect/reference/reference/portal/design-items/common-portlet-configuration/general.md).

## Events

To set up an event, see [Events](/flow-connect/reference/reference/portal/design-items/common-portlet-configuration/events.md).

## Data

To set up a data source, see [Data](/flow-connect/reference/reference/portal/design-items/common-portlet-configuration/data.md).&#x20;

### Data source columns

In the data source column, you can change column names and set their types. Click **Manage** to access a grid view of the configuration.&#x20;

### Presentation

* **Chart type:** Select the type of chart the portlet will use.
* **Show tooltip:** This enables tooltips to appear when hovering over data points on the chart.
* **Show legend:** This enables the legend to be displayed on the chart.
* **Name column:** Specifies the category on which the chart is based.
* **Value column:** Defines the dataset that provides the proportional values for the chart.
* **Description column:** Provides the data label that appears in the chart.

## Style

To configure style, see [Style](/flow-connect/reference/reference/portal/design-items/common-portlet-configuration/style.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.novacura.com/flow-connect/reference/reference/portal/design-items/portlets/accumulation-chart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
